import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.Statement;

public class ConnectionTest {

	public static void main(String[] args) {
		try{
			//JDBCドライバークラスを指定する
			String drivername = "com.mysql.jdbc.Driver";

			//データベースを指定する
			String url = "jdbc:mysql://localhost:3306/books?characterEncoding=utf8";

			//ユーザー名を指定する
			String username = "root";

			//パスワードを指定する
			String password = "";

			//指定したドライバークラスを読み込む
			Class.forName(drivername);

			//データベースに接続する
			Connection con = DriverManager.getConnection(url, username, password);

			//Booksテーブルのデータを取得するSQL文を作成
			String sql = "SELECT * FROM Books";

			//Statementオブジェクトを取得する
			Statement st = con.createStatement();

			//SQL文を実行する
			ResultSet rs = st.executeQuery(sql);

			System.out.println("次の一覧から価格を変更する書籍IDを選んでください。");
			//データを取得する
			while(rs.next()){
				System.out.printf("書籍ID：%s　", rs.getString("Id"));
				System.out.printf("書籍名：%s　", rs.getString("BookName"));
				System.out.printf("価格：%d円\n", rs.getInt("Price"));
			}

			//ResultSetを閉じる
			rs.close();


			//変更する情報を入力する
			BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
			System.out.print("\n変更するID：");
			int id = Integer.parseInt(br.readLine());
			System.out.print("変更する価格：");
			int price = Integer.parseInt(br.readLine());

			//変更するSQL文を生成
			sql = "UPDATE Books SET Price=? WHERE Id=?";

			//PrepareStatementオブジェクトを取得する
			PreparedStatement pst = con.prepareStatement(sql);

			//パラメータをセットする
			pst.setInt(1, price);
			pst.setInt(2, id);

			//SQL文を実行する
			pst.executeUpdate();

			//結果を表示する
			System.out.println("変更しました。");

			//データベースを切断する
			con.close();
		}catch(Exception e){
			//例外の状態を出力する
			e.printStackTrace();
		}
	}

}
